%define _python_dist_allow_version_zero 1
# ^^ auto-added by mkit rpmstuff for early devel version

%global _python_dist_allow_version_zero 1
%global srcname neaty
%global vdk_pylib_req vdk-pylib >= 0.1.0, vdk-pylib < 0.2.0


Name:           python-neaty
Version:        0.2.0
Release:        1%{?dist}
Summary:        neaty - Neaty logger
URL:            https://gitlab.com/vornet/python/python-neaty
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{vdk_pylib_req}

%description
Neaty logger

Built with vdk-pylib-0.1.1


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3
%description -n python3-%{srcname}
Neaty logger


%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=/usr pystuff
%py3_build

%install
%py3_install

%check
export VDK_TEST__DEBUG=true
%{_vdk_pylib_utildir}/vdk_test %{srcname} doctest \
  && %{_vdk_pylib_utildir}/vdk_test %{srcname} unittest

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/


%changelog

# vim: syntax=spec:
# specfile built with MKit 0.1.3 and vdk-pylib-0.1.1
